package com.wechat.model.dto;

/**
 * 订单详情使用
 * @author jadyn.wu
 * @date: 2019-09-07 17:58
 */
public class OrderDetailDto extends OrderListDto {

	private String payType; // 支付方式[1-微信；2-支付宝；3-线下汇款]

	private String pkgTitle; // 套餐标题
	private String pkgTitleEn; // 套餐标题英文
	
    private String subheadCn;  // 商品副标题
    private String subheadEn;

	private String pkgIntroduction; // 套餐简介
	private String pkgIntroductionEn; // 套餐简介英文
	
	private String pkgDetail; // 套餐详情
	private String pkgDetailEn; // 套餐详情英文 

	private String skuCn;		// sku
	private String skuEn;		// sku

	private String price; // 商品售价（单价）
	private String refundNo; // 退款金额

	private String invTitle; // 发票抬头
	private String taxationNo; // 税号
	private String ltdAdd; // 公司地址
	private String ltdTel; // 公司电话
	private String openingBank; // 开户行
	private String accountNumber; // 开户账号
	private String invContent; // 开票内容
	private String invMoney; // 开票金额
	private String recipientName; // 收件人姓名
	private String recipientTel; // 收件人电话
	private String recipientAdd; // 收件地址
	
	private Integer addId; // 地址id

	private String invType; // 类型区分[0-不开票；1-普票；2-增值税发票]
	private String expressName; // 快递公司名（字典表维护，此处直接填名称）
	private String expressNo; // 快递单号

    private String type;  //0会员套餐订单 1个人服务,2企业服务,3商品购买，4积分兑换

    private String postscript;  //用户附言

	// 优惠券
	private String tcCode;//券类别码
	private String tdCode;// 券详细码
	public String getPayType() {
		return payType;
	}
	public void setPayType(String payType) {
		this.payType = payType;
	}
	public String getPkgTitle() {
		return pkgTitle;
	}
	public void setPkgTitle(String pkgTitle) {
		this.pkgTitle = pkgTitle;
	}
	public String getPkgTitleEn() {
		return pkgTitleEn;
	}
	public void setPkgTitleEn(String pkgTitleEn) {
		this.pkgTitleEn = pkgTitleEn;
	}
	public String getSubheadCn() {
		return subheadCn;
	}
	public void setSubheadCn(String subheadCn) {
		this.subheadCn = subheadCn;
	}
	public String getSubheadEn() {
		return subheadEn;
	}
	public void setSubheadEn(String subheadEn) {
		this.subheadEn = subheadEn;
	}
	public String getPkgIntroduction() {
		return pkgIntroduction;
	}
	public void setPkgIntroduction(String pkgIntroduction) {
		this.pkgIntroduction = pkgIntroduction;
	}
	public String getPkgIntroductionEn() {
		return pkgIntroductionEn;
	}
	public void setPkgIntroductionEn(String pkgIntroductionEn) {
		this.pkgIntroductionEn = pkgIntroductionEn;
	}
	public String getPkgDetail() {
		return pkgDetail;
	}
	public void setPkgDetail(String pkgDetail) {
		this.pkgDetail = pkgDetail;
	}
	public String getPkgDetailEn() {
		return pkgDetailEn;
	}
	public void setPkgDetailEn(String pkgDetailEn) {
		this.pkgDetailEn = pkgDetailEn;
	}
	public String getSkuCn() {
		return skuCn;
	}
	public void setSkuCn(String skuCn) {
		this.skuCn = skuCn;
	}
	public String getSkuEn() {
		return skuEn;
	}
	public void setSkuEn(String skuEn) {
		this.skuEn = skuEn;
	}
	public String getPrice() {
		return price;
	}
	public void setPrice(String price) {
		this.price = price;
	}
	public String getRefundNo() {
		return refundNo;
	}
	public void setRefundNo(String refundNo) {
		this.refundNo = refundNo;
	}
	
	public String getInvTitle() {
		return invTitle;
	}
	public void setInvTitle(String invTitle) {
		this.invTitle = invTitle;
	}
	public String getTaxationNo() {
		return taxationNo;
	}
	public void setTaxationNo(String taxationNo) {
		this.taxationNo = taxationNo;
	}
	public String getLtdAdd() {
		return ltdAdd;
	}
	public void setLtdAdd(String ltdAdd) {
		this.ltdAdd = ltdAdd;
	}
	public String getLtdTel() {
		return ltdTel;
	}
	public void setLtdTel(String ltdTel) {
		this.ltdTel = ltdTel;
	}
	public String getOpeningBank() {
		return openingBank;
	}
	public void setOpeningBank(String openingBank) {
		this.openingBank = openingBank;
	}
	public String getAccountNumber() {
		return accountNumber;
	}
	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}
	public String getInvContent() {
		return invContent;
	}
	public void setInvContent(String invContent) {
		this.invContent = invContent;
	}
	public String getInvMoney() {
		return invMoney;
	}
	public void setInvMoney(String invMoney) {
		this.invMoney = invMoney;
	}
	public String getRecipientName() {
		return recipientName;
	}
	public void setRecipientName(String recipientName) {
		this.recipientName = recipientName;
	}
	public String getRecipientTel() {
		return recipientTel;
	}
	public void setRecipientTel(String recipientTel) {
		this.recipientTel = recipientTel;
	}
	public String getRecipientAdd() {
		return recipientAdd;
	}
	public void setRecipientAdd(String recipientAdd) {
		this.recipientAdd = recipientAdd;
	}
	public Integer getAddId() {
		return addId;
	}
	public void setAddId(Integer addId) {
		this.addId = addId;
	}
	public String getInvType() {
		return invType;
	}
	public void setInvType(String invType) {
		this.invType = invType;
	}
	public String getExpressName() {
		return expressName;
	}
	public void setExpressName(String expressName) {
		this.expressName = expressName;
	}
	public String getExpressNo() {
		return expressNo;
	}
	public void setExpressNo(String expressNo) {
		this.expressNo = expressNo;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getPostscript() {
		return postscript;
	}
	public void setPostscript(String postscript) {
		this.postscript = postscript;
	}

	public String getTcCode() {
		return tcCode;
	}
	public void setTcCode(String tcCode) {
		this.tcCode = tcCode;
	}
	public String getTdCode() {
		return tdCode;
	}
	public void setTdCode(String tdCode) {
		this.tdCode = tdCode;
	}

}